# Uses of Class
org.apache.lucene.codecs.StoredFieldsWriter

Packages that use StoredFieldsWriter
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.

- ## Uses of StoredFieldsWriter in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return StoredFieldsWriter
  Modifier and Type
  Method
  Description
  `abstract StoredFieldsWriter`
  StoredFieldsFormat.`fieldsWriter(Directory directory, SegmentInfo si, IOContext context)`
  Returns a `StoredFieldsWriter` to write stored fields.

- ## Uses of StoredFieldsWriter in org.apache.lucene.codecs.lucene90

  Methods in org.apache.lucene.codecs.lucene90 that return StoredFieldsWriter
  Modifier and Type
  Method
  Description
  `StoredFieldsWriter`
  Lucene90StoredFieldsFormat.`fieldsWriter(Directory directory, SegmentInfo si, IOContext context)`

- ## Uses of StoredFieldsWriter in org.apache.lucene.codecs.lucene90.compressing

  Subclasses of StoredFieldsWriter in org.apache.lucene.codecs.lucene90.compressing
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene90CompressingStoredFieldsWriter`
  `StoredFieldsWriter` impl for `Lucene90CompressingStoredFieldsFormat`.
  Methods in org.apache.lucene.codecs.lucene90.compressing that return StoredFieldsWriter
  Modifier and Type
  Method
  Description
  `StoredFieldsWriter`
  Lucene90CompressingStoredFieldsFormat.`fieldsWriter(Directory directory, SegmentInfo si, IOContext context)`